/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
 var app = {
      browser: null,
      // Application Constructor
      initialize: function() {
          document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
          document.addEventListener('offline', onOffline, false);
          document.addEventListener('online', onOnline, false);
      },

      // deviceready Event Handler
      //
      // Bind any cordova events here. Common events are:
      // 'pause', 'resume', etc.
      onDeviceReady: function() {
          this.receivedEvent('deviceready');
          startApp();

      },

      // Update DOM on a Received Event
      receivedEvent: function(id) {
          var parentElement = document.getElementById(id);
          var listeningElement = parentElement.querySelector('.listening');
          var receivedElement = parentElement.querySelector('.received');

          listeningElement.setAttribute('style', 'display:none;');
          receivedElement.setAttribute('style', 'display:block;');

          console.log('Received Event: ' + id);
      },
  };

  app.initialize();

  function onOffline() {
            var ref = cordova.InAppBrowser.open('noConnection.html', '_blank', 'zoom=no,location=no');
        }

  function onOnline() {
            var ref = cordova.InAppBrowser.open("https://transport.pleven.bg/", '_self', 'zoom=no,location=no');
            if (window.localStorage.getItem("email") !== null && window.localStorage.getItem("pass") !== null) {
                 automaticLogin();
            } else {
                 document.getElementById('login_btn').addEventListener("click", saveCredentials());
            }
        }
  function startApp() {

            var states = {};
            states[Connection.NONE] = 'no connection';

            if (networkState === Connection.NONE) {
                onOffline();
            } else {
                onOnline();
            }
        }

  function automaticLogin() {
        var email;
        var pass;
        username = window.localStorage.getItem("username");
        password = window.localStorage.getItem("pass");
        document.getElementById("email").value = email;
        document.getElementById("pass").value = pass;
        document.getElementById('login_btn').click();
  }

  function saveCredentials() {
        window.localStorage.setItem('email', document.getElementById('email').value);
        window.localStorage.setItem('pass', document.getElementById('pwd').value);
  }


